* [PATCH] oe-setup-builddir: create usage output
@ 2016-12-09 14:32 Ed Bartosh
0 siblings, 0 replies; only message in thread
From: Ed Bartosh @ 2016-12-09 14:32 UTC (permalink / raw)
To: openembedded-core
Created usage output for oe-setup-builddir script.
[YOCTO #10751]
Signed-off-by: Ed Bartosh <ed.bartosh@linux.intel.com>
---
scripts/oe-setup-builddir | 8 ++++++++
1 file changed, 8 insertions(+)
diff --git a/scripts/oe-setup-builddir b/scripts/oe-setup-builddir
index e53f73c..ef49551 100755
--- a/scripts/oe-setup-builddir
+++ b/scripts/oe-setup-builddir
@@ -23,6 +23,14 @@ if [ -z "$BUILDDIR" ]; then
exit 1
fi
+if [ "$1" = '--help' -o "$1" = '-h' ]; then
+ echo 'Usage: oe-setup-builddir'
+ echo ''
+ echo "OpenEmbedded setup-builddir - setup build directory $BUILDDIR"
+ echo ''
+ exit 2
+fi
+
mkdir -p "$BUILDDIR/conf"
if [ ! -d "$BUILDDIR" ]; then
--
2.1.4
^ permalink raw reply related [flat|nested] only message in thread
only message in thread, other threads:[~2016-12-09 14:32 UTC | newest]
Thread overview: (only message) (download: mbox.gz follow: Atom feed
-- links below jump to the message on this page --
2016-12-09 14:32 [PATCH] oe-setup-builddir: create usage output Ed Bartosh
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox